from  util import *
from pr import all_pattern_realizations


def multiple_transitions ():
    execs = [x for x in all_pattern_realizations.values() \
             if x.pattern.name == 'Executable']
    seen = {}
    for e in execs:
        types = str([context2type(x.get_sc()) for x in e.participants][:-1])
        if types not in seen.keys():
            seen[types] = [e]
        else:
            seen[types].append(e)
    problems = {}
    for k in seen.keys():
        there = seen[k]
        #problem if they don't all have the same third type
        third = seq2set([context2type(x.participants[2].get_sc()) \
                         for x in there])
        if len(third) > 1:
            problems[k + "->" + str(third)] = there
    for k in problems.keys():
        print k
    return problems



            
            
        
            
    


